<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Role extends Model
{
    protected $table = 'roles';
    protected $fillable = [
        'id',
        'name',
        'description',
        'created_at',
        'updated_at',
    ];

    public function permissions() {
        return $this->belongsToMany(Permission::class);
    }
    public function groups()
    {
        return $this->belongsToMany(Group::class);
    }
}
